Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.UserPreferences
Class TabColumnPrefsState.ParametersState

    java.lang.Object
      org.jasig.portal.channels.UserPreferences.BaseState
          org.jasig.portal.channels.UserPreferences.TabColumnPrefsState.ParametersState

All Implemented Interfaces:
  IChannel, IPrivileged, IPrivilegedChannel

Enclosing class:
  TabColumnPrefsState

    protected class TabColumnPrefsState.ParametersState

extends BaseState

A sub-state of TabColumnPrefsState for setting channel parameters

Field Summary
`protected TabColumnPrefsState` | `context`
`private java.lang.String` | `destinationElementId`
`private boolean` | `error`
`private java.util.List` | `overridableChanParams`
`private java.lang.String` | `position`
`protected BaseState` | `previousState`
`private org.w3c.dom.Element` | `registryChannel`

Fields inherited from class org.jasig.portal.channels.UserPreferences.BaseState
`internalState`

Constructor Summary
`TabColumnPrefsState.ParametersState(TabColumnPrefsState context, BaseState previousState, java.util.List overridableChanParams, org.w3c.dom.Element registryChannel)`
`TabColumnPrefsState.ParametersState(TabColumnPrefsState context, BaseState previousState, java.util.List overridableChanParams, org.w3c.dom.Element registryChannel, java.lang.String position, java.lang.String destinationElementId)`

Method Summary
`private void` | `applyChanges()`
`private org.w3c.dom.Document` | `getParametersDoc()`
`private void` | `processParams(org.w3c.dom.Element channel)`
`void` | `renderXML(org.xml.sax.ContentHandler out)` Ask channel to render its content.
`private void` | `returnToDefaultState()`
`void` | `setRuntimeData(ChannelRuntimeData rd)` Passes ChannelRuntimeData to the channel.
`private void` | `updateParams(IUserLayoutChannelDescription cd)`

Methods inherited from class org.jasig.portal.channels.UserPreferences.BaseState
`getRuntimeProperties, receiveEvent, setContext, setPortalControlStructures, setState, setStaticData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected TabColumnPrefsState context

### previousState

    protected BaseState previousState

### overridableChanParams

    private java.util.List overridableChanParams

### registryChannel

    private org.w3c.dom.Element registryChannel

### position

    private java.lang.String position

### destinationElementId

    private java.lang.String destinationElementId

### error

    private boolean error

Constructor Detail

### TabColumnPrefsState.ParametersState

    public TabColumnPrefsState.ParametersState(TabColumnPrefsState context,
                                               BaseState previousState,
                                               java.util.List overridableChanParams,
                                               org.w3c.dom.Element registryChannel)

### TabColumnPrefsState.ParametersState

    public TabColumnPrefsState.ParametersState(TabColumnPrefsState context,
                                               BaseState previousState,
                                               java.util.List overridableChanParams,
                                               org.w3c.dom.Element registryChannel,
                                               java.lang.String position,
                                               java.lang.String destinationElementId)

Method Detail

### setRuntimeData

    public void setRuntimeData(ChannelRuntimeData rd)
                        throws PortalException

  Description copied from interface: `IChannel`
  Passes ChannelRuntimeData to the channel. This function is called prior to the renderXML() call.

  Specified by:
    `setRuntimeData` in interface `IChannel`
  Overrides:
    `setRuntimeData` in class `BaseState`
  Parameters:
    `rd` - channel runtime data
  Throws:
    `PortalException`
  See Also:
    `ChannelRuntimeData`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Description copied from interface: `IChannel`
  Ask channel to render its content.

  Specified by:
    `renderXML` in interface `IChannel`
  Overrides:
    `renderXML` in class `BaseState`
  Parameters:
    `out` - the SAX ContentHandler to output content to
  Throws:
    `PortalException`

### returnToDefaultState

    private void returnToDefaultState()
                               throws PortalException

  Throws:
    `PortalException`

### applyChanges

    private void applyChanges()

### updateParams

    private void updateParams(IUserLayoutChannelDescription cd)
                       throws PortalException

  Throws:
    `PortalException`

### processParams

    private void processParams(org.w3c.dom.Element channel)

### getParametersDoc

    private org.w3c.dom.Document getParametersDoc()
                                           throws PortalException

  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD